Bug 77472 - "Relative" cross-ref in footnotes refer to position relative to text in footnote (not relative to main text with numerical footnote)
Summary: "Relative" cross-ref in footnotes refer to position relative to text in footn...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2014-04-15 09:02 UTC by vgoebbel
Modified: 2019-12-03 14:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
two paragraphs with a relative cross reference in a footnote (11.50 KB, application/vnd.oasis.opendocument.text)
2014-04-15 09:02 UTC, vgoebbel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vgoebbel 2014-04-15 09:02:47 UTC
Created attachment 97381 [details]
two paragraphs with a relative cross reference in a footnote

Problem description: 

If a "relative" cross reference (as in automatic insertion of "above" or "below") is created in a footnote, the position output is the one relative to the text within the footnote - and not relative to the numerical footnote within the main text.

Steps to reproduce:
1. Create a text with two paragraphs on one page
2. Create a footnote within the first paragraph
3. Create a "relative" cross reference (as in automatic insertion of "above" or "below") in the text within the footnote, linked to the second paragraph

(see attachment)

Current behavior:

The automatic insertion results in "above".

Expected behavior:

The automatic insertion should result in "below". The referenced text is above the text of the footnote, but the "above" or "below" should refer to the position relative to the numerical footnote within the main text.
Comment 1 Yousuf Philips (jay) (retired) 2014-07-05 12:45:43 UTC
Hello vgoebbel

When i tested the example document, the cross reference linked to the beginning of 'Paragraph Two'. Is this the correct behaviour you're looking for?

Which version of LibreOffice did you test this on?
Comment 2 vgoebbel 2014-07-05 14:10:20 UTC
Hello Jay,

thanks for your reply. I can't remember the version I originally did this on. However, I just opened it with 4.3.0.1 and the problem is the same:

The cross reference links to the beginning of 'Paragraph Two', which is correct.

There is however a footnote that is set to have an output of 'below' or 'above' regarding the beginning of 'Paragraph Two'.

The current output is 'above' because Paragraph Two is above the text within the footnote itself. But with footnotes the reference 'above' or 'below' should be relative to the corresponding upper number (e.g. ¹) within the main text, not relative to the text within the footnote. Therefore the correct output in the footnote of the attached file should be 'below'. (Since 'Paragraph Two' is below the ¹ within the main text).

English is not my first language, so I hope I made myself clear… Feel free to ask any questions!

(In reply to comment #1)
> Hello vgoebbel
> 
> When i tested the example document, the cross reference linked to the
> beginning of 'Paragraph Two'. Is this the correct behaviour you're looking
> for?
> 
> Which version of LibreOffice did you test this on?
Comment 3 Yousuf Philips (jay) (retired) 2014-07-05 21:36:56 UTC
I'm setting this to NEW as you state that the behaviour i'm seeing is incorrect and i've confirmed this behaviour is there also in 3.3 on Linux.

@Alex, @Foss: Is this the wrong behaviour?
Comment 4 QA Administrators 2015-07-18 17:43:14 UTC Comment hidden (obsolete)
Comment 5 vgoebbel 2015-07-20 09:30:49 UTC
Bug is still present, no change in behaviour.

Version: 4.4.4.3
OS: OS X El Capitan 10.11 Beta (15A215h)
Comment 6 vgoebbel 2016-04-29 14:54:47 UTC
Any chance this might get resolved or I can help in any way?

I'm using 5.1.2.2 on OS X 10.11.4 and it is still the same. I know this doesn't sound too bad but I think the problem is so obvious that it shouldn't be that hard to fix. Also I have a 300 page document and would prefer not to check every single page if there is a relative reference to a paragraph that is on the same page…
Comment 7 QA Administrators 2017-10-23 14:15:24 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:15:44 UTC
Dear vgoebbel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug